Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX8272.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECX8272.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX8272.m	(revision 636)
@@ -1,3 +1,3 @@
-ECX8272 ; COMPILED XREF FOR FILE #727.827 ; 02/03/08
+ECX8272 ; COMPILED XREF FOR FILE #727.827 ; 12/27/07
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX8904.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECX8904.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX8904.m	(revision 636)
@@ -1,3 +1,3 @@
-ECX8904 ; DRIVER FOR COMPILED XREFS FOR FILE #728.904 ; 12/02/05
+ECX8904 ; DRIVER FOR COMPILED XREFS FOR FILE #728.904 ; 04/10/06
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX89041.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECX89041.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX89041.m	(revision 636)
@@ -1,3 +1,3 @@
-ECX89041 ; COMPILED XREF FOR FILE #728.904 ; 12/02/05
+ECX89041 ; COMPILED XREF FOR FILE #728.904 ; 04/10/06
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX89042.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECX89042.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECX89042.m	(revision 636)
@@ -1,3 +1,3 @@
-ECX89042 ; COMPILED XREF FOR FILE #728.904 ; 12/02/05
+ECX89042 ; COMPILED XREF FOR FILE #728.904 ; 04/10/06
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXADM.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXADM.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXADM.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXADM ;ALB/JAP,BIR/DMA,CML,PTD-Admissions Extract ; 10/15/07 12:14pm
- ;;3.0;DSS EXTRACTS;**1,4,11,8,13,24,33,39,46,71,84,92,107,105**;Dec 22, 1997;Build 70
+ECXADM ;ALB/JAP,BIR/DMA,CML,PTD-Admissions Extract ; 04/12/2007
+ ;;3.0;DSS EXTRACTS;**1,4,11,8,13,24,33,39,46,71,84,92,107**;Dec 22, 1997;Build 9
 BEG ;entry point from option
  D SETUP I ECFILE="" Q
@@ -46,11 +46,4 @@
  S ECXPRV=$P(ADM,U,7),ECXPRNPI="",ECXATT=$P(ADM,U,8),ECXATNPI=""
  S ECXDOM=$P(ADM,U,10),ECXATTPC=$P(ADM,U,12),ECXPRVPC=$P(ADM,U,11)
- N ECXUSRTN
- S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",$E(ECXATT,2,$L(ECXATT)),ECD)
- S:+ECXUSRTN'>0 ECXUSRTN=""
- S ECATTNPI=$P(ECXUSRTN,U)
- S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",$E(ECXPRV,2,$L(ECXPRV)),ECD)
- S:+ECXUSRTN'>0 ECXUSRTN=""
- S ECPWNPI=$P(ECXUSRTN,U)
  ;
  ;- Observation patient indicator (YES/NO)
@@ -98,8 +91,4 @@
  S ECXHI=+$$INSUR^IBBAPI(ECXDFN,ECXDATE)
  S ECXEST=ECXPAT("EC STAT")
- ;
- ;-OEF/OIF Data
- S ECXOEF=ECXPAT("ECXOEF")
- S ECXOEFDT=ECXPAT("ECXOEFDT")
  ;
  ;- Agent Orange location
@@ -156,7 +145,5 @@
  ;^emergency response indicator(FEMA) ECXERI^agent orange indic ECXAO
  ;^environ contam ECXECE^encoun head/neck ECXHNC^encoun MST ECXMIL^rad
- ;encoun ECXIR^ OEF/OIF ECXOEF^ OEF/OIF return date ECXOEFDT
- ;^associate pc provider npi ECASNPI^attending physician npi ECATNPI^
- ;primary care provider npi ECPTNPI^primary ward provider npi ECPWNPI
+ ;encoun ECXIR
  ;
  ;Convert specialty to PTF Code
@@ -175,7 +162,7 @@
  S ECODE=ECODE_ECXWRD_U_ECXSPC_U_ECXATT_U_ECDA_U_ECDRG_U_ECDIA_U
  S ECODE=ECODE_ECTM_U_ECPTPR_U_ECXRACE_U_ECXPRV_U
- S ECODE1=ECXMPI_U_ECXDSSD_U_""_U_""_U_""_U_ELGA_U
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECXATNPI_U_ECPTNPI_U_ECXPRNPI_U_ELGA_U
  S ECODE1=ECODE1_ECXMST_U_U_U_U_ECXENRL_U_ECCLAS_U
- S ECODE1=ECODE1_ECASPR_U_ECCLAS2_U_U_ECXDOM_U_ECXCAT_U
+ S ECODE1=ECODE1_ECASPR_U_ECCLAS2_U_ECASNPI_U_ECXDOM_U_ECXCAT_U
  S ECODE1=ECODE1_ECXSTAT_U_$S(ECXLOGIC<2005:ECXPRIOR,1:"")_U_ECXPHI_U_ECXOBS_U_ECXENC_U_ECXAOL_U
  S ECODE1=ECODE1_ECXPDIV_U_ECXPLOC_U_ECXSADM_U_ECXHNCI_U_ECXETH_U
@@ -183,7 +170,6 @@
  I ECXLOGIC>2004 S ECODE1=ECODE1_U_ECXPRIOR_ECXSBGRP_U_ECXUESTA_U_ECXPTYPE_U_ECXCVE_U_ECXCVEDT_U_ECXCVENC_U_ECXNPRFI
  I ECXLOGIC>2005 S ECODE1=ECODE1_U_ECXATTPC_U_ECXPRVPC_U_ECXEST
- I ECXLOGIC>2006 S ECODE1=ECODE1_U_ECXERI_U_ECXAO_U_ECXECE_U_ECXHNC_U_ECXMIL_U_ECXIR_U
- I ECXLOGIC>2007 S ECODE2=ECXOEF_U_ECXOEFDT_U_ECASNPI_U_ECATTNPI_U_ECPTNPI_U_ECPWNPI
- S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,^ECX(ECFILE,EC7,2)=$G(ECODE2)
+ I ECXLOGIC>2006 S ECODE1=ECODE1_U_ECXERI_U_ECXAO_U_ECXECE_U_ECXHNC_U_ECXMIL_U_ECXIR
+ S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1
  S ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXAPHA2.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXAPHA2.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXAPHA2.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXAPHA2 ;ALB/TMD-Pharmacy Extracts Unusual Volumes Report ; 10/18/07 2:10pm
- ;;3.0;DSS EXTRACTS;**40,49,84,104,105**;Dec 22, 1997;Build 70
+ECXAPHA2 ;ALB/TMD-Pharmacy Extracts Unusual Volumes Report ; 2/06/07 10:36am
+ ;;3.0;DSS EXTRACTS;**40,49,84,104**;Dec 22, 1997;Build 8
  ;
 EN ; entry point
@@ -12,37 +12,28 @@
  ;
 PRE ; entry point for PRE data
- N ECRFL,ECRX,ECREF,ECDATA,ECDATA1,ECPRC,IEN
- K ^TMP($J,"ECXDSS")
- ;call pharmacy api pso52ex
- D EXTRACT^PSO52EX(ECD,ECED,"ECXDSS")
- S ECREF="RF"
- ;order thru fills and refills; refill values 0 thru 11
- ;     Note:  refill 0 = original fill
- F  S ECD=$O(^TMP($J,"ECXDSS","AL",ECD)),IEN=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S IEN=$O(^(ECD,IEN)),ECRFL=""  Q:'IEN  Q:ECXERR  F  S ECRFL=$O(^(IEN,ECRFL)) Q:'ECRFL  Q:ECXERR  D PRE2
- ;
- ;order thru partial fills
+ ; order through fills, refills and partial refills
+ N ECRFL,ECRX,ECREF,ECDATA,ECDATA1,ECPRC
+ S ECREF=1
+ F  S ECD=$O(^PSRX("AL",ECD)),ECRX=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S ECRX=$O(^PSRX("AL",ECD,ECRX)),ECRFL="" Q:'ECRX  Q:ECXERR  F  S ECRFL=$O(^PSRX("AL",ECD,ECRX,ECRFL)) Q:ECRFL=""  Q:ECXERR  D PRE2
  S ECD=ECSD1,ECREF="P"
- F  S ECD=$O(^TMP($J,"ECXDSS","AM",ECD)),IEN=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S IEN=$O(^(ECD,IEN)),ECRFL=""  Q:'IEN  Q:ECXERR  F  S ECRFL=$O(^(IEN,ECRFL)) Q:'ECRFL  Q:ECXERR  D PRE2
- K ^TMP($J,"ECXDSS")
+ F  S ECD=$O(^PSRX("AM",ECD)),ECRX=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S ECRX=$O(^PSRX("AM",ECD,ECRX)),ECRFL="" Q:'ECRX  F  S ECRFL=$O(^PSRX("AM",ECD,ECRX,ECRFL)) Q:ECRFL=""  Q:ECXERR  D PRE2
  Q
  ;
 PRE2 ; get Prescription data
- I (ECREF="RF")&(ECRFL) D
- .S ECQTY=+^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,1)
- .S ECDS=+^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,1.1)
- .S ECPRC=^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,1.2)
- I (ECREF="RF")&('ECRFL) D
- .S ECQTY=+^TMP($J,"ECXDSS",IEN,7)
- .S ECDS=+^TMP($J,"ECXDSS",IEN,8)
- .S ECPRC=+^TMP($J,"ECXDSS",IEN,17)
- I ECREF="P" D
- .S ECQTY=+^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,.04)
- .S ECDS=+^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,.041)
- .S ECPRC=+^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,.042)
+ S ECDATA=$G(^PSRX(ECRX,0))
+ I ECRFL D
+ .S ECDATA1=$G(^PSRX(ECRX,ECREF,ECRFL,0))
+ .S ECQTY=+$P(ECDATA1,U,4)
+ .S ECDS=+$P(ECDATA1,U,10)
+ .S ECPRC=+$P(ECDATA1,U,11)
+ I 'ECRFL D
+ .S ECQTY=+$P(ECDATA,U,7)
+ .S ECDS=+$P(ECDATA,U,8)
+ .S ECPRC=+$P(ECDATA,U,17)
  ;check to see if quantity>threshold
  I ECQTY>ECTHLD D
  .S ECDAY=ECD
- .S ECDFN=$P(^TMP($J,"ECXDSS",IEN,2),U)
- .S ECDRG=+$P(^TMP($J,"ECXDSS",IEN,6),U)
+ .S ECDFN=$P(ECDATA,U,2)
+ .S ECDRG=+$P(ECDATA,U,6)
  .S ECCOST=ECQTY*ECPRC
  .D FILE Q:ECXERR
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXATRT.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXATRT.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXATRT.m	(revision 636)
@@ -1,4 +1,4 @@
 ECXATRT ;ALB/JAP - TRT Extract Audit Report ;O4/12/2007
- ;;3.0;DSS EXTRACTS;**1,6,8,107,105**;Dec 22, 1997;Build 70
+ ;;3.0;DSS EXTRACTS;**1,6,8,107**;Dec 22, 1997;Build 9
  ;
 EN ;entry point for TRT extract audit report
@@ -87,9 +87,9 @@
  ..;
  ..N ECXTS
- ..S ECXTS=$P(DATA,U,15) I ECXTS'="" S ECXTS=$O(^DIC(42.4,"C",$G(ECXTS),0)),$P(DATA,U,15)=ECXTS
- ..S ECXTS=$P(DATA,U,16) I ECXTS'="" S ECXTS=$O(^DIC(42.4,"C",$G(ECXTS),0)),$P(DATA,U,16)=ECXTS
+ ..S ECXTS=$P(DATA,U,15),ECXTS=$O(^DIC(42.4,$G(ECXTS),"C",$P(DATA,U,15),0)),$P(DATA,U,15)=ECXTS
+ ..S ECXTS=$P(DATA,U,16),ECXTS=$O(^DIC(42.4,$G(ECXTS),"C",$P(DATA,U,16),0)),$P(DATA,U,16)=ECXTS
  ..S NEWTS=$P(DATA,U,15),TS=$P(DATA,U,16),LOS=$P(DATA,U,17)
  ..;leaving this next line in here for v3.0 extracts done prior to patch #1
- ..Q:(NUM(+TS)=1)&(NEWTS=TS)
+ ..Q:(NUM(TS)=1)&(NEWTS=TS)
  ..Q:LOS=""
  ..S $P(^(TS),U,1)=$P(^TMP($J,"ECXSPEC",DIV,TS),U,1)+1,CNT=CNT+1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDIVIV.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXDIVIV.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDIVIV.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXDIVIV ;BIR/CML-Enter/Edit and Print IV Room Division ; 3/13/07 10:48am
- ;;3.0;DSS EXTRACTS;**8,105**;Dec 22, 1997;Build 70
+ECXDIVIV ;BIR/CML-Enter/Edit and Print IV Room Division ; [ 11/15/96  11:12 AM ]
+ ;;3.0;DSS EXTRACTS;**8**;Dec 22, 1997
  ;
 ED ;enter/edit division field for iv rooms
@@ -25,5 +25,4 @@
  .W !,"NO DEVICE SELECTED OR REPORT PRINTED!!"
  .D PAUSE
- K ^TMP($J,"ECXDSS")
  Q
  ;
@@ -31,11 +30,9 @@
  N CHKFLG,DIV,DIVNM,INACT,IV,IVRM,JJ,LN1,LN2,PDT,PG,QFLG,SS,X,Y
  I '$D(DT) S DT=$$HTFM^XLFDT(+$H)
- K ^TMP("ECXDIVIV",$J),^TMP($J,"ECXDSS") S QFLG=0,IV=0
- ;call pharmacy encapsulation api and return all iv rooms information
- D ALL^PSJ59P5(,"??","ECXDSS")
- F  S IV=$O(^TMP($J,"ECXDSS",IV)) Q:'IV  D
- .S IVRM=$G(^TMP($J,"ECXDSS",IV,.01)),DIV=$P($G(^(.02)),U)
+ K ^TMP("ECXDIVIV",$J) S QFLG=0,IV=0
+ F  S IV=$O(^PS(59.5,IV)) Q:'IV  I $D(^PS(59.5,IV,0)) D
+ .S IVRM=$E($P(^PS(59.5,IV,0),U),1,30),DIV=$P(^(0),U,4)
  .S DIVNM=$S(DIV="":"ZZZ",1:$E($P(^DG(40.8,DIV,0),U),1,30))
- .K INACT I $P($G(^TMP($J,"ECXDSS",IV,19)),U)]"" S INACT=$P(^(19),U,2)
+ .K INACT I $P($G(^PS(59.5,IV,"I")),U)]"" S INACT=$$FMTE^XLFDT($P(^PS(59.5,IV,"I"),U),1)
  .S ^TMP("ECXDIVIV",$J,DIVNM,IVRM)=$S($D(INACT):INACT,1:"")
  ;print report
@@ -67,17 +64,16 @@
 CHK ;check for existence of necessary files for division functionality
  S CHKFLG=0
- D ALL^PSJ59P5(,"??","ECXIV")
- I '$O(^TMP($J,"ECXIV",0)) D  I CHKFLG D EXIT Q
+ I '$O(^PS(59.5,0)) D  Q:CHKFLG
  .W !,"The IV Room file (#59.5) does not exist!"
  .S CHKFLG=1 D PAUSE
- I '$D(^ECX(728.113,0)) D  I CHKFLG D EXIT Q
+ I '$D(^ECX(728.113,0)) D  Q:CHKFLG
  .W $C(7),!!,"Your facility appears to be running a version of Inpatient Medications prior to"
  .W !,"version 4.5 which is necessary to use this option."
  .S CHKFLG=1 D PAUSE
- I '$D(^TMP($J,"ECXIV",$O(^TMP($J,"ECXIV",0)),.02)) D
+ K TEST1 D FIELD^DID(59.5,.02,"","TYPE","TEST1")
+ I '$D(TEST1) D
  .W $C(7),!!,"The Inpatient Medications Patch PSJ*4.5*27 has not yet been installed!"
  .W !,"It must be loaded before you can proceed with this option."
  .S CHKFLG=1 D PAUSE
-EXIT K ^TMP($J,"ECXIV")
  Q
  ;
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDRUG2.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXDRUG2.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDRUG2.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXDRUG2 ;ALB/TMD-Pharmacy Extracts Incomplete Feeder Key Report ; 2/19/08 3:44pm
- ;;3.0;DSS EXTRACTS;**40,68,84,105,111**;Dec 22, 1997;Build 4
+ECXDRUG2 ;ALB/TMD-Pharmacy Extracts Incomplete Feeder Key Report ; 6/13/05 3:31pm
+ ;;3.0;DSS EXTRACTS;**40,68,84**;Dec 22, 1997
  ;
 EN ; entry point
@@ -13,25 +13,17 @@
  ; order through fills, refills and partial refills
  N ECRFL,ECRX,ECREF,ECDATA,ECDATA1
- K ^TMP($J,"ECXDSS")
- ;call pharmacy api pso52ex
- D EXTRACT^PSO52EX(ECD,ECED,"ECXDSS")
- S ECREF="RF"
- ;order thru fills and refills; refill values 0 thru 11
- ;     Note:  refill 0 = original fill
- F  S ECD=$O(^TMP($J,"ECXDSS","AL",ECD)),IEN=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S IEN=$O(^(ECD,IEN)),ECRFL=""  Q:'IEN  Q:ECXERR  F  S ECRFL=$O(^(IEN,ECRFL)) Q:ECRFL']""  Q:ECXERR  D PRE2
- ;
- ;order thru partial fills
+ S ECREF=1
+ F  S ECD=$O(^PSRX("AL",ECD)),ECRX=0 Q:'ECD  Q:ECD>ECED   Q:ECXERR  F  S ECRX=$O(^PSRX("AL",ECD,ECRX)),ECRFL="" Q:'ECRX  F  S ECRFL=$O(^PSRX("AL",ECD,ECRX,ECRFL)) Q:ECRFL=""  Q:ECXERR  D PRE2
  S ECD=ECSD1,ECREF="P"
- F  S ECD=$O(^TMP($J,"ECXDSS","AM",ECD)),IEN=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S IEN=$O(^(ECD,IEN)),ECRFL=""  Q:'IEN  Q:ECXERR  F  S ECRFL=$O(^(IEN,ECRFL)) Q:'ECRFL  Q:ECXERR  D PRE2
- K ^TMP($J,"ECXDSS")
+ F  S ECD=$O(^PSRX("AM",ECD)),ECRX=0 Q:'ECD  Q:ECD>ECED  Q:ECXERR  F  S ECRX=$O(^PSRX("AM",ECD,ECRX)),ECRFL="" Q:'ECRX  F  S ECRFL=$O(^PSRX("AM",ECD,ECRX,ECRFL)) Q:ECRFL=""  D PRE2
  Q
  ;
 PRE2 ; get Prescription data
- S ECDRG=+$P(^TMP($J,"ECXDSS",IEN,6),U)
- I ECRFL>0&(ECREF="RF") D
- .S ECQTY=^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,1),ECPRC=^(1.2)
- I ECRFL>0&(ECREF="P") D
- .S ECQTY=^TMP($J,"ECXDSS",IEN,ECREF,ECRFL,.04),ECPRC=^(.042)
- I 'ECRFL S ECQTY=^TMP($J,"ECXDSS",IEN,7),ECPRC=^(17)
+ S ECDATA=$G(^PSRX(ECRX,0))
+ S ECDRG=+$P(ECDATA,U,6)
+ I ECRFL D
+ .S ECDATA1=$G(^PSRX(ECRX,ECREF,ECRFL,0))
+ .S ECQTY=+$P(ECDATA1,U,4),ECPRC=+$P(ECDATA1,U,11)
+ I 'ECRFL S ECQTY=+$P(ECDATA,U,7),ECPRC=+$P(ECDATA,U,17)
  D TEST
  Q
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDVSN.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXDVSN.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDVSN.m	(revision 636)
@@ -1,4 +1,5 @@
-ECXDVSN ;ALB/JAP - Division selection utility ; 8/13/07 1:11pm
- ;;3.0;DSS EXTRACTS;**8,105**;Dec 22, 1997;Build 70
+ECXDVSN ;ALB/JAP - Division selection utility ;Sep 29, 1997
+ ;;3.0;DSS EXTRACTS;**8**;Dec 22, 1997
+ ;
 ADM(ECXDIV,ECXALL,ECXSTART,ECXEND,ECXERR) ;division information for ADM extract audit report
  ;selected inpatient divisions from medical center division file (#40.8)
@@ -23,4 +24,5 @@
  ;   ECXERR   = 1, if input problem occurs
  ;              0, otherwise
+ ;
  N OUT,DIC,X,Y,NM,ECXD,ECXIEN,ECXDIEN,ECXACT,ECXNAME,ECXNUM
  S (OUT,ECXERR)=0
@@ -53,4 +55,5 @@
  I '$D(ECXDIV) S ECXERR=1
  Q
+ ;
 ACTDIV(ECXIEN,ECXSTART,ECXEND,ECXD,ECXACT) ;determine if division active at anytime during date range
  ;to be called by ADM^ECXDVSN
@@ -78,4 +81,5 @@
  I DATE(ECXSTART)=-1,DATE(ECXEND)=-1 S ECXACT=0
  Q
+ ;
 MOV(ECXDIV,ECXALL,ECXSTART,ECXEND,ECXERR) ;division information for MOV extract audit report 
  ;selected divisions from medical center division file (#40.8)
@@ -84,6 +88,8 @@
  ;   output
  ;   (see ADM)
+ ;
  D ADM^ECXDVSN(.ECXDIV,ECXALL,ECXSTART,ECXEND,.ECXERR)
  Q
+ ;
 PAS(ECXDIV,ECXALL,ECXERR) ;setup division/site information for PAS extract audit report
  ;   input
@@ -94,6 +100,8 @@
  ;            ECXDIV(1)=ien in file #4^name^station number
  ;            where the INSTITUTION file pointer is obtained from file #728
+ ;
  S ECXALL=1 D DEFAULT^ECXDVSN(.ECXDIV,ECXALL,.ECXERR)
  Q
+ ;
 TRT(ECXDIV,ECXALL,ECXERR) ;setup division/site information for TRT extract audit report
  ;   input
@@ -104,6 +112,8 @@
  ;            ECXDIV(1)=ien in file #4^name^station number
  ;            where the INSTITUTION file pointer is obtained from file #728
+ ;
  S ECXALL=1 D DEFAULT^ECXDVSN(.ECXDIV,ECXALL,.ECXERR)
  Q
+ ;
 DEFAULT(ECXDIV,ECXALL,ECXERR) ;default division/site information for audit report
  ;   input
@@ -114,4 +124,5 @@
  ;            ECXDIV(1)=ien in file #4^name^station number
  ;            where the INSTITUTION file pointer is obtained from file #728
+ ;
  N DIV,ECX
  S ECXERR=0
@@ -123,4 +134,5 @@
  I '$D(ECXDIV) S ECXERR=1
  Q
+ ;
 DEN(ECXDIV,ECXALL,ECXERR) ;setup division/site information for DEN extract audit report
  ;   input
@@ -157,4 +169,5 @@
  I '$D(ECXDIV) S ECXERR=1
  Q
+ ;
 ECS(ECXDIV,ECXALL,ECXERR) ;setup division/location information for ECS extract audit report
  ;   input
@@ -206,23 +219,2 @@
  I '$D(ECXDIV) S ECXERR=1
  Q
-NUT() ; Set Divisions into screen array (prompt is one/many/all)
- ;Input  : SCRNARR - Screen array full global reference
- ;Output : 1 = OK     0 = User abort/timeout
- ;         @SCRNARR@("DIVISION") = User pick all divisions ?
- ;           1 = Yes (all)     0 = No
- ;         @SCRNARR@("DIVISION",PtrDiv) = Division name
- ;Note   : @SCRNARR@("DIVISION") is initialized (KILLed) on input
- ;       : @SCRNARR@("DIVISION",PtrDiv) is only set when the user
- ;         picked individual divisions (i.e. didn't pick all)
- ;
- ;Declare variables
- N VAUTD,Y,SCANARR
- ;Get division selection
- S DIC="^DIC(4,"
- S VAUTSTR="PATIENT DIVISION"
- S VAUTVB="SCANARR"
- S VAUTNI=2
- D FIRST^VAUTOMA
- I Y<0 Q 1
- M @SCRNARR@("DIVISION")=SCANARR
- Q 0
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDVSN1.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXDVSN1.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXDVSN1.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXDVSN1 ;ALB/JAP - Division selection utility (cont.) ; 3/30/07 7:56am
- ;;3.0;DSS EXTRACTS;**8,105**;Dec 22, 1997;Build 70
+ECXDVSN1 ;ALB/JAP - Division selection utility (cont.) ;Sep 30, 1997
+ ;;3.0;DSS EXTRACTS;**8**;Dec 22, 1997
  ;
 ECQ(ECXDIV,ECXALL,ECXERR) ;setup division/site information for QSR extract audit report
@@ -134,24 +134,22 @@
  ;            if input problem, then '1' returned
  ;
- N X,Y,DIC,DIQ,DA,OUT,ECXARR,ECXP,ECXIEN,ARRAY
+ N X,Y,DIC,DIQ,DA,OUT,ECXARR,ECXP,ECXIEN
  S:'$D(ECXALL) ECXALL=1 S:ECXALL="" ECXALL=1
- S ECXERR=0,ECXP="",ARRAY="^TMP($J,""ECXDSS"")"
- K @ARRAY
+ S ECXERR=0,ECXP=""
  ;if ecxall=1, then all pharmacy sites are selected or there's only one
  I ECXALL=1 S ECXP="" D
- .D PSS^PSO59(,"??","ECXDSS")
- .F  S ECXP=$O(@ARRAY@("B",ECXP)) Q:ECXP=""  S ECXIEN=$O(^(ECXP,0)) Q:'ECXIEN  Q:'$D(^(ECXIEN))  D
- ..S ECXDIV(ECXIEN)=ECXIEN_U_@ARRAY@(ECXIEN,.01)_U_^(.06)_U_^(100)
+ .F  S ECXP=$O(^PS(59,"B",ECXP)) Q:ECXP=""  S ECXIEN=$O(^(ECXP,"")) D
+ ..K ECXARR S DIC="^PS(59,",DR=".01;.06;100",DIQ="ECXARR",DA=ECXIEN D EN^DIQ1
+ ..Q:'$D(ECXARR)
+ ..S ECXDIV(ECXIEN)=ECXIEN_U_ECXARR(59,ECXIEN,.01)_U_ECXARR(59,ECXIEN,.06)_U_ECXARR(59,ECXIEN,100)
  ;if ecxall=0, then user selects pharmacy site(s)
  I ECXALL=0 S OUT=0 D
  .F  Q:OUT!ECXERR  D
- ..N DIC,X,Y,DUOUT,DTOUT
- ..S DIC="^PS(59,",DIC(0)="AEMQZ"
- ..D DIC^PSODI(59,.DIC,.X)
+ ..S DIC="^PS(59,",DIC(0)="AEMQZ" K X,Y D ^DIC
  ..I $G(DUOUT)!($G(DTOUT)) S OUT=1,ECXERR=1 Q
  ..I Y=-1,X="" S OUT=1 Q
- ..D PSS^PSO59(+Y,,"ECXDSS")
- ..Q:'$D(@ARRAY)
- ..S ECXDIV(ECXIEN)=ECXIEN_U_@ARRAY@(ECXIEN,.01)_U_^(.06)_U_^(100)
+ ..K ECXARR S (ECXIEN,DA)=+Y,DIC="^PS(59,",DR=".01;.06;100",DIQ="ECXARR" D EN^DIQ1
+ ..Q:'$D(ECXARR)
+ ..S ECXDIV(ECXIEN)=ECXIEN_U_ECXARR(59,ECXIEN,.01)_U_ECXARR(59,ECXIEN,.06)_U_ECXARR(59,ECXIEN,100)
  ;
  I ECXERR=1 K ECXDIV
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXEC.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXEC.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXEC.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXEC ;ALB/JAP,BIR/JLP,PTD-DSS Event Capture Extract  ; 10/2/07 2:33pm
- ;;3.0;DSS EXTRACTS;**11,8,13,24,27,33,39,46,49,71,89,92,105**;Dec 22, 1997;Build 70
+ECXEC ;ALB/JAP,BIR/JLP,PTD-DSS Event Capture Extract  [ 02/14/97   2:26 PM ] ; 12/2/04 12:35pm
+ ;;3.0;DSS EXTRACTS;**11,8,13,24,27,33,39,46,49,71,89,92**;Dec 22, 1997;Build 30
 BEG ;entry point from option
  I '$D(^ECH) W !,"Event Capture is not initialized",!! Q
@@ -67,12 +67,6 @@
  F I=1:1:3 S Y=$O(ECXPRV("")) I Y'="" S @("ECU"_I)=+ECXPRV(Y) K ECXPRV(Y)
  S:$L(ECU1) ECXPPC1=$$PRVCLASS^ECXUTL(ECU1,ECDT),ECU1A="2"_$P(ECU1,";")
- S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",ECU1,ECDT)
- S:+ECXUSRTN'>0 ECXUSRTN="" S ECU1NPI=$P(ECXUSRTN,U)
  S:$L(ECU2) ECXPPC2=$$PRVCLASS^ECXUTL(ECU2,ECDT),ECU2A="2"_$P(ECU2,";")
- S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",ECU2,ECDT)
- S:+ECXUSRTN'>0 ECXUSRTN="" S ECU2NPI=$P(ECXUSRTN,U)
  S:$L(ECU3) ECXPPC3=$$PRVCLASS^ECXUTL(ECU3,ECDT),ECU3A="2"_$P(ECU3,";")
- S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",ECU3,ECDT)
- S:+ECXUSRTN'>0 ECXUSRTN="" S ECU3NPI=$P(ECXUSRTN,U)
  ;change for version 2 where ECP is a variable pointer and we want to
  ;expand it category = category or null if stored as 0
@@ -128,9 +122,9 @@
  ;ECPCE7^^dss identifier ECDSS^dss dept
  ;node1
- ;mpi ECXMPI^dss dept ECXDSSD^PLACEHOLDER
- ;placeholder^placeholder^placeholder^
- ;placeholder^pc prov person class ECCLAS^
+ ;mpi ECXMPI^dss dept ECXDSSD^provider npi ECXPRV2^
+ ;provider #2 npi ECU2NPI^provider #3 npi ECU3NPI^^
+ ;pc provider npi ECPTNPI^pc prov person class ECCLAS^
  ;assoc pc prov ECASPR^assoc pc prov person class ECCLAS2^
- ;placeholder^
+ ;assoc pc prov npi ECASNPI^
  ;divison ECXDIV^mst status ECXMST^dom ECXDOM^date of birth ECXDOB^
  ;enrollment category ECXCAT^ enrollment status ECXSTAT^enrollment
@@ -147,7 +141,5 @@
  ;ECXNPRFI^emerg response indic(FEMA) ECXERI^agent orange indic ECXAO^
  ;environ contam ECXECE^head/neck cancer ECXHNC^encntr mst ECXMIL
- ;^radiation ECXIR^OEF/OIF ECXOEF^OEF/OIF return date ECXOEFDT
- ;^associate pc provider npi ECASNPI^primary care provider npi ECPTNPI^
- ;provider npi ECU1NPI^provider #2 ECU2NPI^provider #3 ECU3NPI
+ ;^radiation ECXIR
  N DA,DIK
  S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
@@ -161,6 +153,6 @@
  S ECODE=ECODE_ECXICD94_U_ECXAST_U_ECXRST_U_ECXEST_U
  S ECODE=ECODE_ECSC_U_ECPCE7_U_U_ECDSS_U_U
- S ECODE1=ECXMPI_U_ECXDSSD_U_U_U_U_ECCLAS_U
- S ECODE1=ECODE1_U_ECASPR_U_ECCLAS2_U_U_ECXDIV_U
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECU1NPI_U_ECU2NPI_U_ECU3NPI_U_ECCLAS_U
+ S ECODE1=ECODE1_ECPTNPI_U_ECASPR_U_ECCLAS2_U_ECASNPI_U_ECXDIV_U
  S ECODE1=ECODE1_ECXMST_U_ECXDOM_U_ECXDOB_U_ECXCAT_U_ECXSTAT_U
  S ECODE1=ECODE1_$S(ECXLOGIC<2005:ECXPRIOR,1:"")_U_ECXPOS_U_ECXPHI_U_ECXOBS_U_ECXENC_U_ECXAOL_U
@@ -171,5 +163,4 @@
  I ECXLOGIC>2004 S ECODE2=ECXCVEDT_U_ECXCVENC_U_ECXNPRFI
  I ECXLOGIC>2006 S ECODE2=ECODE2_U_ECXERI_U_ECXAO_U_ECXECE_U_ECXHNC_U_ECXMIL_U_ECXIR_U
- I ECXLOGIC>2007 S ECODE2=ECODE2_U_ECXOEF_U_ECXOEFDT_U_ECASNPI_U_ECPTNPI_U_ECU1NPI_U_ECU2NPI_U_ECU3NPI
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,^ECX(ECFILE,EC7,2)=$G(ECODE2),ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXFELOC.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXFELOC.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXFELOC.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXFELOC ;BIR/DMA,CML-Print Feeder Locations; [ 05/07/96  8:41 AM ] ; 6/12/07 6:29am
- ;;3.0;DSS EXTRACTS;**1,8,105**;Dec 22, 1997;Build 70
+ECXFELOC ;BIR/DMA,CML-Print Feeder Locations; [ 05/07/96  8:41 AM ]
+ ;;3.0;DSS EXTRACTS;**1,8**;Dec 22, 1997
 EN ;entry point from option
  W !!,"Print list of feeder locations.",! S QFLG=1
@@ -16,10 +16,8 @@
 CLI S EC=0 F  S EC=$O(^SC(EC)) Q:'EC  I $D(^(EC,0)) S EC1=^(0),ECS=$P(EC1,U,15),ECSC=$P($G(^DIC(40.7,+$P(EC1,U,7),0)),U,2),ECD=$P(EC1,U) S:'ECS ECS=1 D
  .I $P(EC1,U,17)'="Y",$P(EC1,U,3)="C" S DAT=$G(^SC(EC,"I")),ID=+DAT,RD=$P(DAT,U,2) I 'ID!(ID>DT)!(RD&(RD<DT)) S ^TMP($J,"CLI",ECS_ECSC,EC)=ECD
-PRE N ARRAY S ARRAY="^TMP($J,""ECXDSS"")" K @ARRAY D PSS^PSO59(,"??","ECXDSS") I @ARRAY@(0)>0 G V6
- ;dbia (#4689)
+PRE I $O(^PS(59,0)) G V6
  S EC=0 F  S EC=$O(^DIC(59,EC)) Q:'EC  I $D(^(EC,0)) S EC1=$E($P(^(0),U),1,30),^TMP($J,"PRE","PRE"_EC,EC)="Prescriptions-"_EC1
  G RAD
-V6 S EC=0 F  S EC=$O(@ARRAY@(EC)) Q:'EC  I $D(^(EC)) S EC1=$E(@ARRAY@(EC,.01),1,30),^TMP($J,"PRE","PRE"_EC,EC)="Prescriptions-"_EC1
- K @ARRAY
+V6 S EC=0 F  S EC=$O(^PS(59,EC)) Q:'EC  I $D(^(EC,0)) S EC1=$E($P(^(0),U),1,30),^TMP($J,"PRE","PRE"_EC,EC)="Prescriptions-"_EC1
 RAD S EC=0 F  S EC=$O(^RA(79,EC)),EC1=0 Q:'EC  I $D(^(EC,0)) S ECD=$P(^(0),U) F  S EC1=$O(^RA(79.2,EC1)) Q:'EC1  I $D(^(EC1,0)) S ECD1=$P(^(0),U),^TMP($J,"RAD",EC_"-"_EC1,EC_"-"_EC1)=ECD_"-"_ECD1
 NUR S EC=0 F  S EC=$O(^NURSF(211.4,EC)) Q:'EC  I $D(^(EC,0)) S EC1=$P(^(0),U),EC1=$P($G(^SC(+EC1,0)),U),^TMP($J,"NUR",EC,EC)=EC1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXKILL.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXKILL.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXKILL.m	(revision 636)
@@ -1,9 +1,7 @@
-ECXKILL ;BIR/DMA,PTD-Kill Local Variables ; 5/30/2007
- ;;3.0;DSS EXTRACTS;**9,8,21,24,31,39,49,84,89,92,105**;Dec 22, 1997;Build 70
+ECXKILL ;BIR/DMA,PTD-Kill Local Variables ; 9/13/05 10:24am
+ ;;3.0;DSS EXTRACTS;**9,8,21,24,31,39,49,84,89**;Dec 22, 1997
  ;
  K %,%DT,%Y,%ZIS,A,A1,A2,ABR,B,BY,D,D0,D1,DA,DAT,DATA,DATA1,DATA2,DATA6
  K DATAOP,DD,DFN,DHDH,DIC,DIE,DIK,DINUM,DIQ
- K ECDAPRNP,ECDPRNPI,ECISNPI,ECDOCNPI
- K ECU1NPI,ECU2NPI,ECU3NPI
  K DIR,DIRUT,DO,DR,DTOUT,DUOUT,EC,EC0,EC1,EC10,EC11,EC16,EC2,EC23,EC2NODE
  K EC3,EC42,EC50,EC6,EC7,ECA,ECAC,ECACA,ECAD,ECADM,ECALL
@@ -18,6 +16,5 @@
  K ECXMISS,ECMN,ECMOD,ECMODS,ECMORE,ECMS,ECMSG,ECMSN,ECMT,ECMW,ECMY,ECN
  K ECNA,ECNDC,ECNDF,ECNFC,ECNL,ECNO,ECNODE,ECNOGO
- K ECNT,ECO,ECO0,ECO1,ECO2,ECOB,ECODE,ECODE0,ECODE1,ECODE2,ECOLD,ECONE,ECOPAY
- K ECATTNPI,ECPWNPI,ECXUSNPI,ECPWNPI,ECXOEF,ECXOEFDT,ECPLACE
+ K ECNT,ECO,ECO0,ECO1,ECO2,ECOB,ECODE,ECODE0,ECODE1,ECOLD,ECONE,ECOPAY
  K ECOPAYT,ECORTY,ECOS,ECP,ECPACK,ECPCE,ECPCE1,ECPCE2,ECPCE3,ECPCE4
  K ECPCE5,ECPCE6,ECPCE7,ECPIECE,ECPN,ECPRC,ECPRO,ECODE2
@@ -29,5 +26,5 @@
  ;
 AUDIT ;kill audit report variables, close slave printer
- K %DT,ECX,ECXARRAY,ECXACC,ECXALL,ECXAUD,ECXCODE,ECXD,ECXDEF,ECXDESC,ECXDIV
+ K ECX,ECXARRAY,ECXACC,ECXALL,ECXAUD,ECXCODE,ECXD,ECXDEF,ECXDESC,ECXDIV
  K ECXRCST,ECXRQST,ECXEND,ECXERR,ECXEXT,ECXHEAD,ECXLOC,ECXPGM,ECXPHCPC
  K ECXPRIME,ECXPRO,ECXREPT,ECXRUN,ECXSAVE,ECXSTART,ECXSRCE
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLABN.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXLABN.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLABN.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXLABN ;ALB/JAP,BIR/CML-Lab Extract for DSS (New Format - With LMIP Codes) ; 10/23/07 3:01pm
- ;;3.0;DSS EXTRACTS;**1,11,8,13,28,24,30,31,32,33,39,42,46,70,71,80,92,107,105**;Dec 22, 1997;Build 70
+ECXLABN ;ALB/JAP,BIR/CML-Lab Extract for DSS (New Format - With LMIP Codes) ; 4/25/07 8:52am
+ ;;3.0;DSS EXTRACTS;**1,11,8,13,28,24,30,31,32,33,39,42,46,70,71,80,92,107**;Dec 22, 1997;Build 9
 BEG ;entry point
  D SETUP I ECFILE="" Q
@@ -22,7 +22,5 @@
  F  S ECLRN=$O(^LRO(64.03,ECLRN)) Q:'ECLRN  D  Q:QFLG
  .Q:'$D(^LRO(64.03,ECLRN,0))
- .S EC1=^LRO(64.03,ECLRN,0),ECDOC=ECPROF_$P(EC1,U,2)
- .S ECDOCNPI=$$NPI^XUSNPI("Individual_ID",$P(EC1,U,2),$P(EC1,U,4))
- .S:+ECDOCNPI'>0 ECDOCNPI="" S ECDOCNPI=$P(ECDOCNPI,U)
+ .S EC1=^LRO(64.03,ECLRN,0),ECDOC=ECPROF_$P(EC1,U,2),ECDOCNPI=""
  .S ECLOC=$P(EC1,U,15),EC=$P(EC1,U,3),ECDOCPC=$$PRVCLASS^ECXUTL($P(EC1,U,2),$P(EC1,U,4))
  .I EC]"" D GET
@@ -32,7 +30,7 @@
  ;
 GET ;get data
- N X,ECXSTN,QFLAG
+ N X,ECXSTN
  S ECF=$S($P(EC,";",2)="DPT(":2,$P(EC,";",2)="LRT(67,":67,1:0) Q:'ECF
- S ECIFN=$P(EC,";"),QFLAG=0
+ S ECIFN=$P(EC,";")
  ;resolve ecloc
  S ECXL1=+$P(ECLOC,";",1),ECXL2=$P(ECLOC,";",2)
@@ -51,5 +49,5 @@
  Q:ECXERR
  ;get patient data if record is in file #67
- I ECF=67 S ECSN="000123456",ECNA="RFRL" I $D(^LRT(67,ECIFN,0)) D  Q:QFLAG
+ I ECF=67 S ECSN="000123456",ECNA="RFRL" I $D(^LRT(67,ECIFN,0)) D
  .S ECXMPI="",EC0=^LRT(67,ECIFN,0),ECNA=$E($P($P(EC0,U),",")_"    ",1,4)
  .S ECSN=$P(EC0,U,9),ECXERI="" D
@@ -60,5 +58,4 @@
  ..I $L(ECSN)=9,ECSN'?9N S ECSN="000123456" Q
  ..I $L(ECSN)=10,ECSN'?9N1"P" S ECSN="000123456"
- ..I '$$SSN^ECXUTL5(ECSN,ECF) S QFLAG=1
  ;
  ;- Only set treating spec (TS) to TS in file #64.03 if it does not exist
@@ -120,6 +117,5 @@
  ;ord stop code ECXORDST^ord date ECXORDDT^production division
  ;ECXPDIV^^ordering provider person class^emergency response indicator
- ;(FEMA) ECXERI^associate pc provider npi ECASNPI^primary care provider
- ;npi ECPTNPI^provider npi ECDOCNPI
+ ;(FEMA) ECXERI
  ;ECDOCPC
  N DA,DIK
@@ -135,10 +131,9 @@
  S ECODE=ECODE_ECPTTM_U_ECPTPR_U
  ;(ECACA=acc area^abbreviation)
- S ECODE1=ECXMPI_U_ECXDSSD_U_U_U_ECCLAS_U_ECASPR_U
- S ECODE1=ECODE1_ECCLAS2_U_U_ECXDOM_U_ECXOBS_U_ECXENC_U
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECDOCNPI_U_ECPTNPI_U_ECCLAS_U_ECASPR_U
+ S ECODE1=ECODE1_ECCLAS2_U_ECASNPI_U_ECXDOM_U_ECXOBS_U_ECXENC_U
  S ECODE1=ECODE1_ECXORDST_U_ECXORDDT_U_ECXPDIV_U
  I ECXLOGIC>2004 S ECODE1=ECODE1_U_ECDOCPC
  I ECXLOGIC>2006 S ECODE1=ECODE1_U_ECXERI
- I ECXLOGIC>2007 S ECODE1=ECODE1_U_ECASNPI_U_ECPTNPI_U_ECDOCNPI
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLABR.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXLABR.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXLABR.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXLABR ;ALB/JAP,BIR/CML-LAR Extract for DSS (New Format - With LMIP Codes) ; 6/5/07 2:33pm
- ;;3.0;DSS EXTRACTS;**8,24,33,37,39,46,71,80,107,105**;Dec 22, 1997;Build 70
+ECXLABR ;ALB/JAP,BIR/CML-LAR Extract for DSS (New Format - With LMIP Codes) ; 4/12/07 8:43am
+ ;;3.0;DSS EXTRACTS;**8,24,33,37,39,46,71,80,107**;Dec 22, 1997;Build 9
 BEG ;entry point from option
  D SETUP I ECFILE="" Q
@@ -31,6 +31,4 @@
  ..S ECXDATE=$P(EC1,U,9)_"."_$P(EC1,U,10)
  ..I ECPTPR S ECCLASS=$$PRVCLASS^ECXUTL(ECPTPR,ECXDATE)
- ..I ECPTPR S ECPTNPI=$$NPI^XUSNPI("Individual_ID",ECPTPR,+ECXDATE) D
- ...S:+ECPTNPI'>0 ECPTNPI="" S ECPTNPI=$P(ECPTNPI,U)
  ..S ECORDT=$$ECXDATE^ECXUTL($P(EC1,U,4),ECXYM)
  ..S ECORTM=$$ECXTIME^ECXUTL($P(EC1,U,4)_"."_$P(EC1,U,5))
@@ -93,5 +91,5 @@
  ;observ pat ind (ECXOBS)^encounter num (ECXENC)^prod div ECXPDIV^
  ;lab results translation ECXTRANS^ordering provider (ECPTPR)^
- ;ordering provider person class (ECCLASS)^ordering provider npi ECPTNPI
+ ;ordering provider person class (ECCLASS)
  N DA,DIK
  S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
@@ -107,5 +105,4 @@
  S ECODE1=ECXMPI_U_ECXDSSD_U_ECXDOM_U_ECSCTM_U_ECXOBS_U_ECXENC_U_ECXPDIV_U_ECTRANS
  I ECXLOGIC>2004 S ECODE1=ECODE1_U_2_ECPTPR_U_ECCLASS
- I ECXLOGIC>2007 S ECODE1=ECODE1_U_ECPTNPI
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,ECRN=ECRN+1
  S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
